# $Revision: 1.61.2.3 $, $Date: 2003/07/10 16:23:11 $
# Conditional build:
# --without	xine	Set this option in case You haven't
#			xine-lib to ommit xine plug-in building.
#
# --without	alsa	Set this option in case you dont want alsa.
#
# --with	esd	Set this option in case you want esd support.
#
# --with	nas 	Set this option if you want nas support.
#

%define         _state          stable
%define         _ver		3.1.1

%define		_without_alsa	1
%ifarch	sparc sparcv9 sparc64
%define		_with_esd	1
%endif

Summary:	K Desktop Environment - multimedia applications
Summary(pl):	K Desktop Environment - aplikacje multimedialne
Name:		kdemultimedia
Version:	%{_ver}
Release:	2
Epoch:		8
License:	GPL
Vendor:		The KDE Team
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{_ver}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	bdd53d23d13adf2419554e995417178e
# generated from kde-i18n
Source1:	ftp://blysk.ds.pg.gda.pl/linux/kde-i18n-package/kde-i18n-%{name}-%{version}.tar.bz2
# Source1-md5:	83b0712b82e44be9bfedd9d78ddaf4f1
Patch0:		%{name}-timidity.patch
%{!?_without_alsa:BuildRequires:	alsa-lib-devel}
%{!?_without_alsa:BuildRequires:	alsa-driver-devel}
BuildRequires:	arts-devel
BuildRequires:	arts-kde-devel
BuildRequires:	cdparanoia-III
BuildRequires:	cdparanoia-III-devel
%{?_with_esd:BuildRequires:     esound-devel}
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	kdelibs-devel >= %{version}
BuildRequires:	libart_lgpl-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libogg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel
%{?_with_nas:BuildRequires:	nas-devel >= 1.5}
BuildRequires:	perl
%{!?_without_xine:BuildRequires: xine-lib-devel}
BuildRequires:	zlib-devel
Requires:	kdelibs = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define         _htmldir        /usr/share/doc/kde/HTML

%define		no_install_post_chrpath		1

%description
KDE multimedia applications. Package includes:

 - Aktion - AVI player
 - Arts - arts tools
 - Kaboodle - a media player,
 - KMID - MIDI player,
 - KMIDI - software MIDI player,
 - KMIX - audio mixer,
 - KSCD - CD player,
 - Noatun - a media player.

%description -l pl
Multimedialne aplikacje KDE. Pakiet zawiera:

 - Aktion - odtwarzacz plikw avi
 - Arts - narzdzia arts
 - Kaboodle - odtwarzacz plikw multimedialnych
 - KMID - odtwarzacz MIDI,
 - KMIDI - programowy odtwarzacz MIDI,
 - KMIX - mixer audio,
 - KSCD - odtwarzacz CD.
 - Noatun - odtwarzacz plikw multimedialnych

%package devel
Summary:	kdemultimedia - headers
Summary(pl):	kdemultimedia - pliki nagwkowe
Group:		X11/Development/Libraries
Requires:	arts-devel >= 1.0.3
Requires:	kdelibs-devel >= %{version}
Requires:	kdemultimedia-arts = %{version}
Requires:	kdemultimedia-mpeglib = %{version}
Requires:	kdemultimedia-noatun = %{version}

%description devel
kdemultimedia - headers.

%description devel -l pl
kdemultimedia - pliki nagwkowe.

%package aktion
Summary:	KDE Media Player
Summary(pl):	Odtwarzacz multimedialny dla KDE
Group:		X11/Applications
Requires:	kdelibs >= %{version}
Obsoletes:	aktion

%description aktion
This is a media player for KDE. Currently it can be only used to play
WAV files.

%description aktion -l pl
Odtwarzacz multimedialny dla KDE. W tej chwili obsuguje tylko pliki
WAV.

%package arts
Summary:	Arts Tools
Summary(pl):	Narzdzia Arts
Group:		X11/Applications
Requires:	kdelibs >= %{version}
Requires:	%{name}-mpeglib = %{version}

%description arts
Arts Tools.

%description arts -l pl
Narzdzia Arts.

%package kaboodle
Summary:	Media player
Summary(pl):	Odtwarzacz multimedialny
Group:		X11/Applications

%description kaboodle
Media player.

%description kaboodle -l pl
Odtwarzacz multimedialny.

%package kaudiocreator
Summary:	Audio Creator
Summary(pl):	Kreator audio
Group:		X11/Applications

%description kaudiocreator
CD ripper and sound encoder frontend. Already provides audiocd
protocol for konqueror.

%description kaudiocreator -l pl
Nakadka na CD ripper i enkoder dwiku. Dostarcza rwnie protok
audiocd do konquerora.

%package kfile
Summary:	Audio file formats enhanced information
Summary(pl):	Rozszerzone informacje o plikach dwikowych
Group:		X11/Development/Libraries
Obsoletes:	kdemultimedia < 3.0.8

%description kfile
This package adds a fold to konqueror "file properities" dialog window
with file enhanced informations.

%description kfile -l pl
Ten pakiet dodaje do okna dialogowego "wasciwoci pliku" konquerora
dodatkow zakadk z rozszerzonymi informacjami o pliku.

%package kmid
Summary:	KDE MIDI Player
Summary(pl):	Odtwarzacz MIDI dla KDE
Group:		X11/Applications
Requires:	kdelibs >= %{version}

%description kmid
This is a MIDI player for KDE. It uses sound-card synthetizer or other
hardware connected to MIDI to play MIDI files.

%description kmid -l pl
Odtwarzacz MIDI dla KDE. Wykorzystuje tylko syntetyzator na karcie
muzycznej lub inne urzdzenia MIDI przyczone do niej.

%package kmidi
Summary:	KDE software MIDI Player
Summary(pl):	Programowy odtwarzacz MIDI dla KDE
Group:		X11/Applications
Requires:	kdelibs >= %{version}

%description kmidi
Software MIDI player. It uses GUS patch files and CPU power to create
high-quality sound.

%description kmidi -l pl
Programowy odtwarzacz MIDI. Wykorzystuje patche z GUSa i moc procesora
do stworzenia dobrej jakoci dwiku.

%package kmix
Summary:	KDE audio mixer
Summary(pl):	Mixer audio dla KDE
Group:		X11/Applications
Requires:	kdelibs >= %{version}

%description kmix
Sound mixer application for KDE.

%description kmix -l pl
Mikser audio dla KDE.

%package krec
Summary:	KDE sound recorder
Summary(pl):	Rejestrator dwiku dla KDE
Group:		X11/Applications
Requires:	%{name}-arts = %{version}
Requires:	kdelibs >= %{version}

%description krec
KDE sound recorder.

%description krec -l pl
Rejestrator dwiku dla KDE.

%package kscd
Summary:	KDE CD Player
Summary(pl):	Odtwarzacz CD dla KDE
Group:		X11/Applications
Requires:	kdelibs >= %{version}

%description kscd
CD Player with CDDB support. It can automaticaly update its CD
database with the Internet and show graphical interpretation of played
sounds.

%description kscd -l pl
Odtwarzacz CD z obsug CDDB. Automatycznie uaktualnia swoj baz
danych o pytach CD z Internetem. Potrafi take wywietli adn
graficzn interpretacj granych dwikw.

%package mpeglib
Summary:	MPEG lib
Summary(pl):	MPEG lib
Group:		X11/Applications
Requires:	kdelibs >= %{version}
Requires:	arts >= 1.0.0

%description mpeglib
MPEG lib.

%description mpeglib -l pl
MPEG lib.

%package noatun
Summary:	KDE Media Player
Summary(pl):	KDE Media Player - odtwarzacz plikw multimedialnych
Group:		X11/Applications
Requires:	kdelibs >= %{version}
Requires:	arts >= 1.0.0

%description noatun
KDE Media Player.

%description noatun -l pl
KDE Media Player - odtwarzacz plikw multimedialnych.

%package xine
Summary:	Xine Plug-in
Summary(pl):	Wtyczka do Xine
Group:		X11/Applications
Requires:	kdelibs >= %{version}
Requires:	arts >= 1.0.0
Requires:	xine-lib

%description xine
Xine Plug-in.

%description xine -l pl
Wtyczka do Xine.

%prep
%setup -q
%patch0 -p1

%build
kde_appsdir="%{_applnkdir}"; export kde_appsdir
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

CFLAGS="%{rpmcflags} -I%{_includedir}"

AUDIO=""
%ifnarch sparc sparcv9 sparc64
AUDIO=oss,$AUDIO
%endif
%{!?_without_alsa:AUDIO=alsa,$AUDIO}
%{?_with_nas:AUDIO=nas,$AUDIO}
%{?_with_esd:AUDIO=esd,$AUDIO}
AUDIO=${AUDIO%%,}

# kdemultimedia includes kernel headers which breaks things
# with PLD kernels 2.4.x, below workaround  by misiek
mkdir linux
sed -e 's#slots\[CDROM_MAX_SLOTS\]#kde_slots\[CDROM_MAX_SLOTS\]#g' \
/usr/include/linux/cdrom.h > linux/cdrom.h

for plik in `find ./ -name \*.desktop` ; do
		echo $plik
		perl -pi -e "s/\[nb\]/\[no\]/g" $plik
done

%configure \
 	--with-pam="yes" \
	--enable-final \
	--enable-audio=$AUDIO

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/{timidity,ktimidity}

ALD=$RPM_BUILD_ROOT%{_applnkdir}
install -d $ALD/{Settings/KDE,Multimedia/ArtsTools}
mv -f $ALD/{Multimedia/More/*.desktop,Multimedia}
mv -f $ALD/{Multimedia/arts*.desktop,Multimedia/ArtsTools}
mv -f $ALD/{Settings/[!K]*,Settings/KDE}

echo "[Desktop Entry]\nName=Arts Tools\nIcon=arts\nType=Directory" \
    > $ALD/Multimedia/ArtsTools/.directory

cat $ALD/Multimedia/timidity.desktop |sed 's/Exec=timidity/Exec=ktimidity/' \
    > $ALD/Multimedia/ktimidity.desktop

cd $RPM_BUILD_ROOT%{_datadir}/apps/kmidi/config
ln -s gravis.cfg GUSpatches
cd -

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT

:> kfile.lang
programs="kfile_au kfile_avi kfile_m3u kfile_mp3 kfile_ogg kfile_wav"
for i in $programs; do
        %find_lang $i --with-kde
        cat $i.lang >> kfile.lang
done

:> arts.lang
programs="artsbuilder artscontrol artsmodules desktop_kdemultimedia"
for i in $programs; do
	%find_lang $i --with-kde
	cat $i.lang >> arts.lang
done

%find_lang kmix			--with-kde
%find_lang kmixcfg		--with-kde
%find_lang kcmkmix		--with-kde
cat {kmixcfg,kcmkmix}.lang >> kmix.lang

%find_lang kaudiocreator	--with-kde
%find_lang kcmaudiocd		--with-kde
%find_lang kio_audiocd		--with-kde
cat {kcmaudiocd,kio_audiocd}.lang >> kaudiocreator.lang

%find_lang kaboodle		--with-kde
%find_lang kmid			--with-kde
%find_lang kmidi		--with-kde
%find_lang krec			--with-kde
%find_lang kscd			--with-kde
%find_lang noatun		--with-kde
%find_lang aktion		--with-kde
#%find_lang kmyapp		--with-kde
#%find_lang koncd		--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post arts
echo "Remember to restart artsd !"

%post   mpeglib -p /sbin/ldconfig
%postun mpeglib -p /sbin/ldconfig

%files devel
%defattr(644,root,root,755)
%{_libdir}/libaktion.so
%{_libdir}/libartsbuilder.so
%{_libdir}/libartsgui_idl.so
%{_libdir}/libartsgui_kde.so
%{_libdir}/libartsgui.so
%{_libdir}/libartsmidi_idl.so
%{_libdir}/libartsmidi.so
%{_libdir}/libartsmodules.so
%{_libdir}/libarts_mpeglib.so
%{_libdir}/libarts_splay.so
%{_libdir}/libmpeg.so
%{_libdir}/libnoatuncontrols.so
%{_libdir}/libnoatun.so
%{_libdir}/libnoatuntags.so
%{_libdir}/libworkman.so
%{_libdir}/libyafcore.so
%{_libdir}/libyafxplayer.so
%{_includedir}/*.h
%{_includedir}/arts/*
%{_includedir}/mpeglib*
%{_includedir}/noatun

%files aktion -f aktion.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aktion*
%{_libdir}/libaktion.la
%attr(755,root,root) %{_libdir}/libaktion.so.*
%{_datadir}/apps/aktion
%{_datadir}/config/aktionrc
%{_applnkdir}/Multimedia/aktion.desktop
%{_pixmapsdir}/*/*/apps/aktion.png

%files arts -f arts.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/arts*
%attr(755,root,root) %{_bindir}/midisend
%{_libdir}/libaudiofilearts.la
%attr(755,root,root) %{_libdir}/libaudiofilearts.so
%{_libdir}/libarts[!_]*.la
%attr(755,root,root) %{_libdir}/libartseffects.so
%attr(755,root,root) %{_libdir}/libarts[!_]*.so.*
%{_libdir}/libarts_[!mx]*.la
%attr(755,root,root) %{_libdir}/libarts_[!m]*.so.*
%{_libdir}/mcop/audiofilearts*
%{_libdir}/mcop/arts*
%{_libdir}/mcop/Splay*
%{_libdir}/mcop/Arts/*
%{_libdir}/mcop/ExtraStereo.mcopclass
%{_libdir}/mcop/ExtraStereoGuiFactory.mcopclass
%{_libdir}/mcop/VoiceRemoval.mcopclass
%{_libdir}/mcop/RawWriter.mcopclass
%{_datadir}/apps/artsbuilder
%{_datadir}/apps/artscontrol
%{_datadir}/mimelnk/application/*arts*
%dir %{_applnkdir}/Multimedia/ArtsTools
%{_applnkdir}/Multimedia/ArtsTools/.directory
%{_applnkdir}/Multimedia/ArtsTools/arts*.desktop
%{_pixmapsdir}/*/*/*/arts*

%files kaboodle -f kaboodle.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kaboodle
%{_libdir}/kaboodle.la
%attr(755,root,root) %{_libdir}/kaboodle.so
%{_libdir}/kde3/libkaboodlepart.la
%attr(755,root,root) %{_libdir}/kde3/libkaboodlepart.so
%{_datadir}/apps/kaboodle
%{_datadir}/services/kaboodle_component.desktop
%{_applnkdir}/Multimedia/kaboodle.desktop
%{_pixmapsdir}/*/*/apps/kaboodle.*

%files kaudiocreator -f kaudiocreator.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kaudiocreator
%{_libdir}/kde3/kcm_audiocd.la
%attr(755,root,root) %{_libdir}/kde3/kcm_audiocd.so
%{_libdir}/kde3/kio_audiocd.la
%attr(755,root,root) %{_libdir}/kde3/kio_audiocd.so
%{_datadir}/apps/kaudiocreator
%{_datadir}/services/audiocd.protocol
%{_applnkdir}/Multimedia/kaudiocreator.desktop
%{_applnkdir}/Settings/KDE/Sound/audiocd.desktop
%{_pixmapsdir}/[!l]*/*/*/kaudiocreator.png

%files kfile -f kfile.lang
%defattr(644,root,root,755)
%{_libdir}/kde3/kfile_*.la
%attr(755,root,root) %{_libdir}/kde3/kfile_*.so
%{_datadir}/services/kfile_*.desktop

%files kmid -f kmid.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmid
%{_libdir}/kde3/libkmidpart.la
%attr(755,root,root) %{_libdir}/kde3/libkmidpart.so
%{_datadir}/apps/kmid
%{_datadir}/mimelnk/audio/x-karaoke.desktop
%{_datadir}/servicetypes/*midi*.desktop
%{_applnkdir}/Multimedia/kmid.desktop
%{_pixmapsdir}/*/*/*/kmid.png

%files kmidi -f kmidi.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmidi
%attr(755,root,root) %{_bindir}/sf2cfg
%attr(755,root,root) %{_bindir}/ktimidity
%{_applnkdir}/Multimedia/kmidi.desktop
%{_applnkdir}/Multimedia/ktimidity.desktop
%{_datadir}/apps/kmidi
%{_pixmapsdir}/*/*/*/kmidi.png

%files kmix -f kmix.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmix
%attr(755,root,root) %{_bindir}/kmixctrl
%{_libdir}/kmix.la
%attr(755,root,root) %{_libdir}/kmix.so
%{_libdir}/kmixctrl.la
%attr(755,root,root) %{_libdir}/kmixctrl.so
%{_libdir}/kde3/kcm_kmix.la
%attr(755,root,root) %{_libdir}/kde3/kcm_kmix.so
%{_libdir}/kde3/kmix_panelapplet.la
%attr(755,root,root) %{_libdir}/kde3/kmix_panelapplet.so
%{_applnkdir}/Multimedia/kmix.desktop
%{_applnkdir}/.hidden/kmixcfg.desktop
%{_datadir}/services/kmixctrl_restore.desktop
%{_datadir}/apps/kmix
%{_datadir}/apps/kicker/applets/*
%{_pixmapsdir}/*/*/*/kmix.png

%files kscd -f kscd.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kscd
%attr(755,root,root) %{_bindir}/workman2cddb.pl
%{_libdir}/libworkman.la
%attr(755,root,root) %{_libdir}/libworkman.so.*
%{_applnkdir}/Multimedia/kscd.desktop
%{_datadir}/apps/kscd
%{_datadir}/mimelnk/text/xmcd.desktop
%{_pixmapsdir}/*/*/*/kscd.png

%files krec -f krec.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/krec
%{_libdir}/krec.la
%attr(755,root,root) %{_libdir}/krec.so
%{_datadir}/apps/krec
%{_applnkdir}/Multimedia/krec.desktop
%{_pixmapsdir}/*/*/*/krec*

%files mpeglib
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mpeglibartsplay
%attr(755,root,root) %{_bindir}/yaf*
%{_libdir}/libyaf*.la
%attr(755,root,root) %{_libdir}/libyaf*.so.*
%{_libdir}/libarts_mpeglib.la
%attr(755,root,root) %{_libdir}/libarts_mpeglib*.so.*
%{_libdir}/libmpeg.la
%attr(755,root,root) %{_libdir}/libmpeg-*.so
# Note that SplayPlayObject.mopclass is *not* here.
#%%{_libdir}/mcop/VCDPlayObject.mcopclass
%{_libdir}/mcop/WAVPlayObject.mcopclass
%{_libdir}/mcop/OGGPlayObject.mcopclass
%{_libdir}/mcop/NULLPlayObject.mcopclass
%{_libdir}/mcop/MP3PlayObject.mcopclass
%{_libdir}/mcop/CDDAPlayObject.mcopclass
#%%{_libdir}/mcop/MPGPlayObject.mcopclass

%files noatun -f noatun.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/noatun*
%{_libdir}/libnoatun*.la
%attr(755,root,root) %{_libdir}/libnoatun*.so.*
%attr(755,root,root) %{_libdir}/libnoatunarts.so
%{_libdir}/libwinskinvis.la
%attr(755,root,root) %{_libdir}/libwinskinvis.so
%{_libdir}/kde3/noatun*.la
%attr(755,root,root) %{_libdir}/kde3/noatun*.so
%{_libdir}/mcop/Noatun
%{_libdir}/mcop/noatun*
%{_libdir}/mcop/winskinvis*
%attr(755,root,root) %{_datadir}/apps/kconf_update/noatun20update
%{_datadir}/apps/kconf_update/*.upd
%{_datadir}/apps/noatun*
%{_datadir}/mimelnk/interface/x-winamp-skin.desktop
%{_applnkdir}/Multimedia/noatun.desktop
%{_pixmapsdir}/*/*/*/noatun.png

%if %{?_without_xine:0}%{!?_without_xine:1}
%files xine
%defattr(644,root,root,755)
#%{_libdir}/kde3/videothumbnail.la
#%attr(755,root,root) %{_libdir}/kde3/videothumbnail.so
%{_libdir}/*_xine.la
%attr(755,root,root) %{_libdir}/*_xine.so
%{_libdir}/mcop/xinePlayObject.mcopclass
#%{_datadir}/apps/videothumbnail
#%{_datadir}/services/videothumbnail.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdemultimedia.spec,v $
Revision 1.61.2.3  2003/07/10 16:23:11  blues
- release 2

Revision 1.61.2.2  2003/07/10 13:51:24  matkor
- Fixed langs. Review and STBR for ra general.

Revision 1.61.2.1  2003/07/06 14:22:16  matkor
- Merged 3.1.1a from RA-branch_general. NFY.

Revision 1.70.2.13  2003/04/27 15:59:43  blues
- started adding i18n packages

Revision 1.70.2.12  2003/04/05 21:27:31  jack
- one step to far (comment)

Revision 1.70.2.11  2003/04/05 21:23:11  adgor
- arekm's hint for 2.4 is back

Revision 1.70.2.10  2003/04/05 14:59:59  marcus
- two typos in BR

Revision 1.70.2.9  2003/04/01 14:10:01  djurban
- ultimately fixed nb->no transition

Revision 1.70.2.8  2003/03/22 20:24:07  blues
- nb->no sed sorcery

Revision 1.70.2.7  2003/03/22 14:26:53  blues
- nb -> no sorcery

Revision 1.70.2.6  2003/03/21 15:59:26  adgor
- It's 3.1.1 final
- Release 1

Revision 1.70.2.5  2003/03/17 23:02:02  matkor
- Added commented out misiek workaroud for building failure with 2.4.x kernels.

Revision 1.70.2.4  2003/03/13 12:19:16  adgor
- Release 0.2 (rebuild with the new tarball)

Revision 1.70.2.3  2003/03/09 15:36:25  adgor
- More %%files & Req fixes
- alsa disabled (doesn't build)

Revision 1.70.2.2  2003/03/09 15:14:57  adgor
- Fixed %%files
- Removed not needed entries

Revision 1.70.2.1  2003/03/09 12:43:07  adgor
- Prefix /usr/X11R6
- Source0 removed (not usefull with Ra)
- BR appropriate to Ra

Revision 1.70  2003/03/09 12:39:29  adgor
- Starting up to kde-3.1.1

Revision 1.69  2003/02/28 10:07:58  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.68  2003/02/26 22:47:31  adgor
- Fixed %%files

Revision 1.67  2003/02/21 12:34:40  adgor
- Updated xine_artsplugin to 20030220 snap (videothumbnails are back)
- Release 4.3

Revision 1.66  2003/02/19 09:00:12  adgor
- Updated xine_artsplugin
- Removed artsplugin_xine1.patch (see above)
- Release 4.2

Revision 1.65  2003/02/14 14:49:26  qboosh
- fixed/extended pl desc for noatun and xine

Revision 1.64  2003/02/11 02:51:26  adgor
- 644 for *.la, some fixes
- xine plugin requires xine-lib >= 1.0b4

Revision 1.63  2003/02/10 21:01:29  misiek
- merged from DEVEL

Revision 1.48.2.23  2003/02/09 00:04:11  misiek
- workaround for kde slots vs linux/cdrom.h slots definitions

Revision 1.48.2.22  2003/01/31 17:58:21  djurban
- NFY
- alsa 0.9 doesnt work use without alsa
- xineplugin %files need fixing
- videothumbnail temporarily not working

Revision 1.48.2.21  2003/01/30 21:21:46  djurban
- Regenerate ac/am before configure, required for new xine.

Revision 1.48.2.20  2003/01/30 20:17:19  djurban
- NFY!

Revision 1.48.2.19  2003/01/19 21:25:06  adgor
- Added timidity.patch
- timidity from kmidi package is now known as ktimidity

Revision 1.48.2.18  2003/01/16 19:19:25  adgor
- eghh

Revision 1.48.2.17  2003/01/16 19:17:45  adgor
- Updated to kde-3.1-rc7
- version 3.1, release 4, epoch 8

Revision 1.48.2.16  2003/01/07 14:56:27  adgor
- Updated to 3.1rc6
- Some fixes in %files section

Revision 1.48.2.15  2002/12/29 17:36:12  adgor
- BR libglade_lgpl-devel

Revision 1.48.2.14  2002/11/27 18:18:39  adgor
- Removed unused locolor icons
- Release 3

Revision 1.48.2.13  2002/11/26 09:05:31  adgor
- Updated to 3.1-rc5
- Release 2 in order to distignuish the tarballs

Revision 1.48.2.12  2002/11/23 20:19:43  adgor
- Updated to 3.1

Revision 1.48.2.11  2002/11/13 14:54:01  adgor
- Updated to 3.0.99 (kde-3.1-rc3)

Revision 1.48.2.10  2002/11/06 20:39:42  mkochano
- RC2

Revision 1.48.2.9  2002/11/02 15:35:36  mkochano
- Updated to rc1.

Revision 1.48.2.8  2002/10/28 21:15:28  adgor
- Added "no_install_post_chrpath" definition

Revision 1.48.2.7  2002/10/17 23:22:28  mkochano
- Version 3.1beta2.
- Release 1.
- Standard %%clean section.

Revision 1.48.2.6  2002/10/06 07:41:53  adgor
- Moved arts desktop files to separated directory

Revision 1.48.2.5  2002/10/05 21:52:28  adgor
- Added xine subpackage (xine plug-in now builds due to adding djurban's
  patch in previous revision)
- Added conditional "--without xine"

Revision 1.48.2.4  2002/10/05 19:10:38  djurban
- Release 2
- xine_artsplugin fixed, backported from 2002/10/05 cvs.

Revision 1.48.2.3  2002/10/04 10:31:26  adgor
- Adapterized
- Forgot to add to previous log message:
  - Separated %{name}-kfile subpackage
  - Updated descriptions
  - Added %%post with a warning message to arts
  - Removed superflous %%post/%%postun
  - Cosmetics & simplifications

Revision 1.48.2.2  2002/10/04 10:16:08  adgor
- Added missing files
- Be cureful with kscd - it crashes the system at this moment!

Revision 1.48.2.1  2002/09/30 19:18:30  adgor
- Starting with 3.0.8

Revision 1.48  2002/09/25 01:05:26  adgor
- Removed previous changes
- Added %{name}-kmix-applet-no-version.patch
- Binaries built with previous STABLE release are incomplete ( %{_htmldir}
  is missing ) due to the bug in rpm-find-lang previous releases
- STBR

Revision 1.47  2002/09/23 21:46:04  adgor
- Added symlink to kmix_panelapplet.so.1.0.0
- Release 4

Revision 1.46  2002/09/09 10:28:45  qboosh
- removed dirs that belong to kdelibs and arts-devel; release 3

Revision 1.45  2002/09/03 21:19:22  kloczek
- release 2: use esd on sparc*.

Revision 1.44  2002/09/03 02:42:53  kloczek
- cosmetics.

Revision 1.43  2002/08/28 19:22:15  marcus
- updated to 3.0.3 (merge form DEVEL)
